### Function

# GLib ByteArray append

#### Declaration [src]

    GByteArray*
    g_byte_array_append (
      GByteArray* array,
      const guint8* data,
      guint len
    )

#### Description [src]

Adds the given bytes to the end of the `GByteArray`. The array will grow in size automatically if necessary.

#### Parameters

`array`

  Type: An array of `guint8`

  A byte array.

  The data is owned by the caller of the function.

`data`

  Type: An array of `guint8`

  The byte data to be added.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the function.

`len`

  Type: `guint`

  The number of bytes to add.

#### Return value

Type: An array of `guint8`

The `GByteArray`.

The data is owned by the called function.